Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class WpsStrutsViewXmlCommand

    java.lang.Object
      com.ibm.wps.portlets.struts.WpsStrutsViewCommand
          com.ibm.wps.portlets.struts.WpsStrutsFilteredViewCommand
              com.ibm.wps.portlets.struts.WpsStrutsViewXmlCommand

All Implemented Interfaces:
  IViewCommand, java.io.Serializable

Deprecated.

    public class WpsStrutsViewXmlCommand

extends WpsStrutsFilteredViewCommand

The `WpsStrutsViewXMLCommand` class is a command pattern class used to provide a mechanism to encapsulate the information needed to redisplay a view. This particular subclass deals with XML pages against which XSLT stylesheets are applied.

Since:
  4.1
See Also:
  `IStrutsPrepareRender`, Serialized Form

Field Summary
`protected static MessageResources` | `messages` Deprecated. The message resources for the Struts Portlet Framework.

Fields inherited from class com.ibm.wps.portlets.struts.WpsStrutsFilteredViewCommand
`wpsStrutsTranscodingRequestWrapper`

Fields inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`LAST_MODIFIED, PREFIX`

Constructor Summary
`WpsStrutsViewXmlCommand(java.lang.String xmlURI, HttpServletRequest request, ViewCommandExecutionContext executionContext)` Deprecated. Construct this WpsStrutsViewXmlCommand command

Method Summary
`protected void` | `executeCommand(PortletRequest request, PortletResponse response, ViewCommandExecutionContext executionContext)` Deprecated. Execute the given command given the request and response objects
`protected boolean` | `isDebugOn()` Deprecated. Returns true if debug is enabled
`protected void` | `trace(java.lang.String method, java.lang.String message)` Deprecated. Trace the message.

Methods inherited from class com.ibm.wps.portlets.struts.WpsStrutsFilteredViewCommand
`execute, inStrutsPortletFilterContext, isWarnOn`

Methods inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`addAttribute, addAttributeNameToSave, addAttributeTypeToSave, addParameterNameToSave, execute, getLastModified, getPrefix, getRemoveOnModeChange, getSavedAttributes, getSavedCommand, removeAttribute, removeAttributeNameToSave, removeAttributeTypeToSave, removeParameterNameToSave, repopulateRequest, saveAsAttribute, saveAsParameter, saveAttribute, saveAttributes, saveAttributes, saveCommand, saveCommand, saveParameter, saveParameters, setLastModified, setPrefix, setRemoveOnModeChange, setSavedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected static MessageResources messages

  Deprecated.
  The message resources for the Struts Portlet Framework.

Constructor Detail

### WpsStrutsViewXmlCommand

    public WpsStrutsViewXmlCommand(java.lang.String xmlURI,
                                   HttpServletRequest request,
                                   ViewCommandExecutionContext executionContext)

  Deprecated.
  Construct this WpsStrutsViewXmlCommand command

  Parameters:
    `xmlURI` - the uri path to the XML content
    `request` -
    `executionContext` -

Method Detail

### executeCommand

    protected void executeCommand(PortletRequest request,
                                  PortletResponse response,
                                  ViewCommandExecutionContext executionContext)

  Deprecated.
  Execute the given command given the request and response objects

  Specified by:
    `executeCommand` in class `WpsStrutsFilteredViewCommand`
  Parameters:
    `request` - The request object
    `request` - The response object
    `executionContext` - the execution context object

### trace

    protected void trace(java.lang.String method,
                         java.lang.String message)

  Deprecated.
  Description copied from class: `WpsStrutsFilteredViewCommand`
  Trace the message. Does not check to see if tracing is enabled.

  Overrides:
    `trace` in class `WpsStrutsFilteredViewCommand`
  Parameters:
    `method` - the method name
    `message` - the message

### isDebugOn

    protected boolean isDebugOn()

  Deprecated.
  Description copied from class: `WpsStrutsFilteredViewCommand`
  Returns true if debug is enabled

  Overrides:
    `isDebugOn` in class `WpsStrutsFilteredViewCommand`
  Returns:
    true if debug is on

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD